Merge libgsf 1.14.27-1 (main) from Debian unstable (main)

Bug #1194526 reported by Jeremy Bicha on 2013-06-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libgsf (Ubuntu)
Wishlist
Barry Warsaw

Bug Description

Please merge libgsf 1.14.27-1 (main) from Debian unstable (main)

Debdiffs attached.

Explanation of the Ubuntu delta:
  * Merge from Debian unstable. Remaining changes:
    - Add Breaks/Replaces on libgsf-1-114 (<< 1.14.25-2) for libgsf-1-dev
      since /usr/share/gir-1.0/Gsf-1.gir moved; Need for 12.10 -> 13.04 upgrade

Changelog entries since current saucy version 1.14.26-1ubuntu1:

libgsf (1.14.27-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Dropped all (backported) patches.
  * Minor update to .symbols file.

 -- Dmitry Smirnov <email address hidden> Tue, 25 Jun 2013 13:20:04 +1000

libgsf (1.14.26-2) unstable; urgency=low

  * Debhelper & compat to version 9.
  * Build-Depends:
    + dh-autoreconf (Closes: #713275).
    - hardening-includes
  * Removed obsolete "refresh-config-sub-guess" patch.
  * "debian/rules" re-write in DH style; packaging updates.
    + enabled parallel build.
    + verbose build (--disable-silent-rules).
    + extract SO versions from "configure.ac".
    + added minor pre-dh_install sanity check.
  * "debian/control":
    + removed unnecessary versioned (Build-)Depends.
    + expanded and sorted list of (Build-)Depends.
    + re-arranged packages.
    + minor cleanup:
      - dropped Conflicts with ancient gnumeric.
      - removed "${shlibs:Depends}" from -dbg package' Depends.
    + lintianisation: "binary-control-field-duplicates-source".
  * "debian/copyright" to copyright-format-1.0 + audit.
  * Patches are renamed for easier inspection.
  * xz compression for source archive and binary (.deb) packages.
  * Added Vcs links to new repository at collab-maint.
  * New maintainer; thanks for all your work, J.H.M. Dassen (Ray).

 -- Dmitry Smirnov <email address hidden> Sun, 23 Jun 2013 17:00:19 +1000

Jeremy Bicha (jbicha) wrote :
Changed in libgsf (Ubuntu):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :
Barry Warsaw (barry) on 2013-06-25
Changed in libgsf (Ubuntu):
status: New → In Progress
assignee: nobody → Barry Warsaw (barry)
Jeremy Bicha (jbicha) wrote :

Here's another debdiff which should fix the FTBFS on 32-bit architectures.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgsf - 1.14.27-2ubuntu1

---------------
libgsf (1.14.27-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1194526). Remaining changes:
    - Add Breaks/Replaces on libgsf-1-114 (<< 1.14.25-2) for libgsf-1-dev
      since /usr/share/gir-1.0/Gsf-1.gir moved; Needed until 14.04 LTS
 -- Adam Conrad <email address hidden> Fri, 28 Jun 2013 09:25:08 -0600

Changed in libgsf (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers